## python-qt4 4.6.2-maemo20091218.0

=== Qt/Makefile ===
TARGET = Qt.so
OFILES = sipQtcmodule.o
HFILES =  

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -I. -I/usr/include/python2.5
CFLAGS = -pipe -fPIC -O3 -Wall -W
CXXFLAGS = -pipe -fPIC -O3 -Wall -W
LFLAGS = -shared -Wl,-O1 -Wl,--version-script=Qt.exp
LIBS = -Wl,-rpath-link=/usr/lib
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQt; local: *; };' > Qt.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/Qt || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/Qt
	cp -f ../sip/Qt/Qtmod.sip $(DESTDIR)/usr/share/sip/PyQt4/Qt/Qtmod.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtcmodule.o
	-rm -f Qt.exp

=== QtAssistant/Makefile ===
TARGET = QtAssistant.so
OFILES = sipQtAssistantcmodule.o sipQtAssistantQAssistantClient.o
HFILES = sipAPIQtAssistant.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtAssistant -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtAssistant.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtAssistantClient -lQtGui -lQtNetwork -lQtCore -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtAssistant; local: *; };' > QtAssistant.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtAssistant || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtAssistant
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtAssistant/qassistantclient.sip $(DESTDIR)/usr/share/sip/PyQt4/QtAssistant/qassistantclient.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtAssistant/QtAssistantmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtAssistant/QtAssistantmod.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtAssistantcmodule.o
	-rm -f sipQtAssistantQAssistantClient.o
	-rm -f QtAssistant.exp

=== QtCore/Makefile ===
TARGET = QtCore.so
OFILES = sipQtCorecmodule.o sipQtCoreQList0600QPair0100QByteArray0100QByteArray.o sipQtCoreQList0600QPair0100QString0100QString.o sipQtCoreQList0100QUrl.o sipQtCoreQMap18000100QVariant.o sipQtCoreQList0100QByteArray.o sipQtCoreQVector0100QXmlStreamNotationDeclaration.o sipQtCoreQVector0100QXmlStreamNamespaceDeclaration.o sipQtCoreQVector0100QXmlStreamEntityDeclaration.o sipQtCoreQMap0100QString0100QVariant.o sipQtCoreQList0100QVariant.o sipQtCoreQHash0100QString0100QVariant.o sipQtCoreQList0101QObject.o sipQtCoreQList0100QModelIndex.o sipQtCoreQList0100QFileInfo.o sipQtCoreQXmlStreamWriter.o sipQtCoreQXmlStreamReader.o sipQtCoreQXmlStreamEntityResolver.o sipQtCoreQXmlStreamEntityDeclaration.o sipQtCoreQXmlStreamNotationDeclaration.o sipQtCoreQXmlStreamNamespaceDeclaration.o sipQtCoreQXmlStreamAttributes.o sipQtCoreQXmlStreamAttribute.o sipQtCoreQWaitCondition.o sipQtCoreQVector2400.o sipQtCoreQVector1900.o sipQtCoreQVariant_5.o sipQtCoreQVariant_4.o sipQtCoreQUuid.o sipQtCoreQUrlFormattingOptions.o sipQtCoreQUrl.o sipQtCoreQTranslator.o sipQtCoreQTimer.o sipQtCoreQTimeLine.o sipQtCoreQThreadPool.o sipQtCoreQThread.o sipQtCoreQTextStreamManipulator.o sipQtCoreQTextStreamNumberFlags.o sipQtCoreQTextStream.o sipQtCoreQTextDecoder.o sipQtCoreQTextEncoder.o sipQtCoreQTextCodecConverterState.o sipQtCoreQTextCodecConversionFlags.o sipQtCoreQTextCodec.o sipQtCoreQTextBoundaryFinderBoundaryReasons.o sipQtCoreQTextBoundaryFinder.o sipQtCoreQTemporaryFile.o sipQtCoreQSystemSemaphore.o sipQtCoreQStringMatcher_0.o sipQtCoreQStringList_0.o sipQtCoreQStringList_1.o sipQtCoreQStringRef_0.o sipQtCoreQStringRef_1.o sipQtCoreQLatin1String_0.o sipQtCoreQStringSectionFlags_0.o sipQtCoreQString_0.o sipQtCoreQString_1.o sipQtCoreQSocketNotifier.o sipQtCoreQSizeF.o sipQtCoreQSize.o sipQtCoreQSignalMapper.o sipQtCoreQSharedMemory.o sipQtCoreQSettings.o sipQtCoreQSemaphore.o sipQtCoreQRunnable.o sipQtCoreQResource.o sipQtCoreQRegExp.o sipQtCoreQRectF.o sipQtCoreQRect.o sipQtCoreQWriteLocker.o sipQtCoreQReadLocker.o sipQtCoreQReadWriteLock.o sipQtCoreQProcess.o sipQtCoreQPointF.o sipQtCoreQPoint.o sipQtCoreQPluginLoader.o sipQtCoreQPair18001800.o sipQtCoreQGenericReturnArgument.o sipQtCoreQGenericArgument.o sipQtCoreQMetaObject.o sipQtCoreQObjectCleanupHandler.o sipQtCoreQWidget.o sipQtCoreQMutexLocker.o sipQtCoreQMutex.o sipQtCoreQMimeData.o sipQtCoreQMetaType.o sipQtCoreQMetaClassInfo.o sipQtCoreQMetaProperty.o sipQtCoreQMetaEnum.o sipQtCoreQMetaMethod.o sipQtCoreQList0100QLocaleCountry.o sipQtCoreQSystemLocale.o sipQtCoreQLocaleNumberOptions.o sipQtCoreQLocale.o sipQtCoreQList2400.o sipQtCoreQList1800.o sipQtCoreQList0600QPair24002400.o sipQtCoreQList0600QPair18001800.o sipQtCoreQLineF.o sipQtCoreQLine.o sipQtCoreQLibraryInfo.o sipQtCoreQLibraryLoadHints.o sipQtCoreQLibrary.o sipQtCoreQIODeviceOpenMode.o sipQtCoreQFSFileEngine.o sipQtCoreQFileSystemWatcher.o sipQtCoreQFileInfo.o sipQtCoreQFilePermissions.o sipQtCoreQFile.o sipQtCoreQEventLoopProcessEventsFlags.o sipQtCoreQEventLoop.o sipQtCoreQDirIteratorIteratorFlags.o sipQtCoreQDirIterator.o sipQtCoreQDirSortFlags.o sipQtCoreQDirFilters.o sipQtCoreQDir.o sipQtCoreQDateTime.o sipQtCoreQTime.o sipQtCoreQDate.o sipQtCoreQDataStream.o sipQtCoreQCryptographicHash.o sipQtCoreQDynamicPropertyChangeEvent.o sipQtCoreQChildEvent.o sipQtCoreQTimerEvent.o sipQtCoreQEvent.o sipQtCoreQCoreApplication.o sipQtCoreQChar_0.o sipQtCoreQChar_1.o sipQtCoreQLatin1Char_0.o sipQtCoreQByteArrayMatcher.o sipQtCoreQByteArray.o sipQtCoreQBuffer.o sipQtCoreQIODevice.o sipQtCoreQBitArray.o sipQtCoreQBasicTimer.o sipQtCoreQAbstractListModel.o sipQtCoreQAbstractTableModel.o sipQtCoreQAbstractItemModel.o sipQtCoreQPersistentModelIndex.o sipQtCoreQModelIndex.o sipQtCoreQAbstractFileEngineIterator.o sipQtCoreQAbstractFileEngineHandler.o sipQtCoreQAbstractFileEngineFileFlags.o sipQtCoreQAbstractFileEngine.o sipQtCoreQAbstractEventDispatcher.o sipQtCoreQObject.o sipQtCoreQtTextInteractionFlags.o sipQtCoreQtMatchFlags.o sipQtCoreQtItemFlags.o sipQtCoreQtDropActions.o sipQtCoreQtToolBarAreas.o sipQtCoreQtDockWidgetAreas.o sipQtCoreQtImageConversionFlags.o sipQtCoreQtWindowStates.o sipQtCoreQtWindowFlags.o sipQtCoreQtAlignment.o sipQtCoreQtOrientations.o sipQtCoreQtMouseButtons.o sipQtCoreQtKeyboardModifiers.o sipQtCoreQt.o sipQtCoreQSysInfo.o
HFILES = sipAPIQtCore.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_CORE_LIB -I. -I/home/maemo/python-qt4-4.6.2/qpy/QtCore -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/home/maemo/python-qt4-4.6.2/qpy/QtCore -Wl,-rpath,/usr/lib -Wl,--version-script=QtCore.exp
LIBS = -L/home/maemo/python-qt4-4.6.2/qpy/QtCore -L/usr/lib -lqpycore -Wl,-rpath-link=/usr/lib -lQtCore -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtCore; local: *; };' > QtCore.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtCore || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtCore
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qmargins.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qmargins.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qeasingcurve.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qeasingcurve.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qsignalmapper.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qsignalmapper.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qsignaltransition.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qsignaltransition.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qcryptographichash.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qcryptographichash.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qcoreapplication.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qcoreapplication.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qstringlist.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qstringlist.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qcoreevent.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qcoreevent.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qstringmatcher.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qstringmatcher.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qfile.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qfile.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qmetatype.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qmetatype.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qvariant.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qvariant.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qfilesystemwatcher.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qfilesystemwatcher.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qmetaobject.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qmetaobject.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qthread.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qthread.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qtimer.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qtimer.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qresource.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qresource.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qsocketnotifier.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qsocketnotifier.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qabstractstate.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qabstractstate.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qregexp.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qregexp.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qnumeric.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qnumeric.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qhash.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qhash.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qabstractitemmodel.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qabstractitemmodel.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qtemporaryfile.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qtemporaryfile.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qtextcodec.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qtextcodec.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qfsfileengine.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qfsfileengine.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qobjectcleanuphandler.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qobjectcleanuphandler.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qsize.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qsize.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qvariantanimation.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qvariantanimation.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qlist.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qlist.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qchar.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qchar.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qabstracteventdispatcher.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qabstracteventdispatcher.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qstring.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qstring.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qdatastream.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qdatastream.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qabstracttransition.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qabstracttransition.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qlibrary.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qlibrary.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qobject.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qobject.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbuffer.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbuffer.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qxmlstream.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qxmlstream.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qparallelanimationgroup.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qparallelanimationgroup.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbytearraymatcher.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbytearraymatcher.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qstatemachine.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qstatemachine.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qobjectdefs.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qobjectdefs.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qwaitcondition.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qwaitcondition.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbasictimer.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbasictimer.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbitarray.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbitarray.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qbytearray.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qbytearray.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qlocale.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qlocale.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qsequentialanimationgroup.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qsequentialanimationgroup.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qpair.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qpair.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtCore/qeventloop.sip $(DESTDIR)/usr/share/sip/PyQt4/QtCore/qeventloop.sip

=== QtDesigner/Makefile ===
TARGET = QtDesigner.so
OFILES = sipQtDesignercmodule.o sipQtDesignerQList0101QDesignerCustomWidgetInterface.o sipQtDesignerQPyDesignerCustomWidgetCollectionPlugin.o sipQtDesignerQPyDesignerTaskMenuExtension.o sipQtDesignerQPyDesignerContainerExtension.o sipQtDesignerQPyDesignerMemberSheetExtension.o sipQtDesignerQPyDesignerCustomWidgetPlugin.o sipQtDesignerQPyDesignerPropertySheetExtension.o sipQtDesignerQDesignerTaskMenuExtension.o sipQtDesignerQExtensionManager.o sipQtDesignerQDesignerPropertySheetExtension.o sipQtDesignerQDesignerMemberSheetExtension.o sipQtDesignerQFormBuilder.o sipQtDesignerQAbstractExtensionManager.o sipQtDesignerQExtensionFactory.o sipQtDesignerQAbstractExtensionFactory.o sipQtDesignerQDesignerCustomWidgetCollectionInterface.o sipQtDesignerQDesignerCustomWidgetInterface.o sipQtDesignerQDesignerContainerExtension.o sipQtDesignerQDesignerWidgetBoxInterface.o sipQtDesignerQDesignerPropertyEditorInterface.o sipQtDesignerQDesignerObjectInspectorInterface.o sipQtDesignerQDesignerFormWindowManagerInterface.o sipQtDesignerQDesignerFormWindowCursorInterface.o sipQtDesignerQDesignerFormWindowInterfaceFeature.o sipQtDesignerQDesignerFormWindowInterface.o sipQtDesignerQDesignerFormEditorInterface.o sipQtDesignerQAbstractFormBuilder.o sipQtDesignerQDesignerActionEditorInterface.o
HFILES = sipAPIQtDesigner.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -I. -I/home/maemo/python-qt4-4.6.2/qpy/QtDesigner -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/home/maemo/python-qt4-4.6.2/qpy/QtDesigner -Wl,-rpath,/usr/lib -Wl,--version-script=QtDesigner.exp
LIBS = -L/home/maemo/python-qt4-4.6.2/qpy/QtDesigner -L/usr/lib -lqpydesigner -Wl,-rpath-link=/usr/lib -lQtDesigner -lQtGui -lQtCore -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtDesigner; local: *; };' > QtDesigner.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractformbuilder.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractformbuilder.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/qpydesignerpropertysheetextension.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/qpydesignerpropertysheetextension.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractpropertyeditor.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractpropertyeditor.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/default_extensionfactory.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/default_extensionfactory.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/taskmenu.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/taskmenu.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/qpydesignercontainerextension.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/qpydesignercontainerextension.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractactioneditor.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractactioneditor.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/qextensionmanager.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/qextensionmanager.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractformwindowmanager.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractformwindowmanager.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/container.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/container.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/qpydesignercustomwidgetcollectionplugin.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/qpydesignercustomwidgetcollectionplugin.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/QtDesignermod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/QtDesignermod.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractwidgetbox.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractwidgetbox.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractobjectinspector.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractobjectinspector.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractformwindow.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractformwindow.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/qpydesignercustomwidgetplugin.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/qpydesignercustomwidgetplugin.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractformwindowcursor.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractformwindowcursor.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/extension.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/extension.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/qpydesignertaskmenuextension.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/qpydesignertaskmenuextension.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/abstractformeditor.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/abstractformeditor.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/qpydesignermembersheetextension.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/qpydesignermembersheetextension.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/membersheet.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/membersheet.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/customwidget.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/customwidget.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/formbuilder.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/formbuilder.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtDesigner/propertysheet.sip $(DESTDIR)/usr/share/sip/PyQt4/QtDesigner/propertysheet.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtDesignercmodule.o
	-rm -f sipQtDesignerQList0101QDesignerCustomWidgetInterface.o
	-rm -f sipQtDesignerQPyDesignerCustomWidgetCollectionPlugin.o
	-rm -f sipQtDesignerQPyDesignerTaskMenuExtension.o
	-rm -f sipQtDesignerQPyDesignerContainerExtension.o
	-rm -f sipQtDesignerQPyDesignerMemberSheetExtension.o
	-rm -f sipQtDesignerQPyDesignerCustomWidgetPlugin.o
	-rm -f sipQtDesignerQPyDesignerPropertySheetExtension.o
	-rm -f sipQtDesignerQDesignerTaskMenuExtension.o
	-rm -f sipQtDesignerQExtensionManager.o
	-rm -f sipQtDesignerQDesignerPropertySheetExtension.o
	-rm -f sipQtDesignerQDesignerMemberSheetExtension.o
	-rm -f sipQtDesignerQFormBuilder.o
	-rm -f sipQtDesignerQAbstractExtensionManager.o
	-rm -f sipQtDesignerQExtensionFactory.o
	-rm -f sipQtDesignerQAbstractExtensionFactory.o
	-rm -f sipQtDesignerQDesignerCustomWidgetCollectionInterface.o
	-rm -f sipQtDesignerQDesignerCustomWidgetInterface.o
	-rm -f sipQtDesignerQDesignerContainerExtension.o
	-rm -f sipQtDesignerQDesignerWidgetBoxInterface.o
	-rm -f sipQtDesignerQDesignerPropertyEditorInterface.o
	-rm -f sipQtDesignerQDesignerObjectInspectorInterface.o
	-rm -f sipQtDesignerQDesignerFormWindowManagerInterface.o
	-rm -f sipQtDesignerQDesignerFormWindowCursorInterface.o
	-rm -f sipQtDesignerQDesignerFormWindowInterfaceFeature.o
	-rm -f sipQtDesignerQDesignerFormWindowInterface.o
	-rm -f sipQtDesignerQDesignerFormEditorInterface.o
	-rm -f sipQtDesignerQAbstractFormBuilder.o
	-rm -f sipQtDesignerQDesignerActionEditorInterface.o
	-rm -f QtDesigner.exp

=== QtGui/Makefile ===
TARGET = QtGui.so
OFILES = sipQtGuicmodule.o sipQtGuiQList0101QUndoStack.o sipQtGuiQList0101QTreeWidgetItem.o sipQtGuiQList0101QTextFrame.o sipQtGuiQList0100QTextBlock.o sipQtGuiQVector0100QTextLayoutFormatRange.o sipQtGuiQList0100QTextLayoutFormatRange.o sipQtGuiQList0100QTextOptionTab.o sipQtGuiQVector0100QTextLength.o sipQtGuiQVector0100QTextFormat.o sipQtGuiQList0101QTableWidgetItem.o sipQtGuiQList0100QTableWidgetSelectionRange.o sipQtGuiQList0101QStandardItem.o sipQtGuiQList0100QTextEditExtraSelection.o sipQtGuiQList0100QPolygonF.o sipQtGuiQVector0100QRect.o sipQtGuiQVector0100QRectF.o sipQtGuiQVector0100QPoint.o sipQtGuiQVector0100QLine.o sipQtGuiQVector0100QPointF.o sipQtGuiQVector0100QLineF.o sipQtGuiQList0101QMdiSubWindow.o sipQtGuiQList0101QDockWidget.o sipQtGuiQList0101QListWidgetItem.o sipQtGuiQList0100QRectF.o sipQtGuiQList0101QGraphicsView.o sipQtGuiQList0600QPair24000100QPointF.o sipQtGuiQList0101QGraphicsItem.o sipQtGuiQList0100QInputMethodEventAttribute.o sipQtGuiQMap0100QDate0100QTextCharFormat.o sipQtGuiQList0101QAbstractButton.o sipQtGuiQList0101QGraphicsWidget.o sipQtGuiQList0100QKeySequence.o sipQtGuiQList0101QAction.o sipQtGuiQList0100QSize.o sipQtGuiQVector0100QAbstractTextDocumentLayoutSelection.o sipQtGuiQList0101QWidget.o sipQtGuiQVector0600QPair24000100QColor.o sipQtGuiQPyTextObject.o sipQtGuiQX11Info.o sipQtGuiDisplay.o sipQtGuiQX11EmbedContainer.o sipQtGuiQX11EmbedWidget.o sipQtGuiQWorkspace.o sipQtGuiQList0100QWizardWizardButton.o sipQtGuiQWizardPage.o sipQtGuiQWizardWizardOptions.o sipQtGuiQWizard.o sipQtGuiQWidgetAction.o sipQtGuiQWidgetRenderFlags.o sipQtGuiQWhatsThis.o sipQtGuiQRegExpValidator.o sipQtGuiQDoubleValidator.o sipQtGuiQIntValidator.o sipQtGuiQValidator.o sipQtGuiQUndoView.o sipQtGuiQUndoStack.o sipQtGuiQUndoCommand.o sipQtGuiQUndoGroup.o sipQtGuiQTreeWidgetItemIteratorIteratorFlags.o sipQtGuiQTreeWidgetItemIterator.o sipQtGuiQTreeWidget.o sipQtGuiQTreeWidgetItem.o sipQtGuiQTreeView.o sipQtGuiQTransform.o sipQtGuiQToolTip.o sipQtGuiQToolButton.o sipQtGuiQToolBox.o sipQtGuiQToolBar.o sipQtGuiQTextTable.o sipQtGuiQTextTableCell.o sipQtGuiQTextOptionTab.o sipQtGuiQTextOptionFlags.o sipQtGuiQTextOption.o sipQtGuiQTextBlockUserData.o sipQtGuiQTextFragment.o sipQtGuiQTextBlockiterator.o sipQtGuiQTextBlock.o sipQtGuiQTextFrameiterator.o sipQtGuiQTextFrame.o sipQtGuiQTextObject.o sipQtGuiQTextList.o sipQtGuiQTextBlockGroup.o sipQtGuiQTextLine.o sipQtGuiQTextLayoutFormatRange.o sipQtGuiQTextLayout.o sipQtGuiQTextInlineObject.o sipQtGuiQTextTableCellFormat.o sipQtGuiQTextTableFormat.o sipQtGuiQTextFrameFormat.o sipQtGuiQTextImageFormat.o sipQtGuiQTextListFormat.o sipQtGuiQTextBlockFormat.o sipQtGuiQTextCharFormat.o sipQtGuiQTextFormatPageBreakFlags.o sipQtGuiQTextFormat.o sipQtGuiQTextLength.o sipQtGuiQTextEditAutoFormatting.o sipQtGuiQTextEditExtraSelection.o sipQtGuiQTextDocumentWriter.o sipQtGuiQTextDocumentFragment.o sipQtGuiQTextDocumentFindFlags.o sipQtGuiQTextDocument.o sipQtGuiQt.o sipQtGuiQTextCursor.o sipQtGuiQTextBrowser.o sipQtGuiQTextEdit.o sipQtGuiQTabWidget.o sipQtGuiQTableWidget.o sipQtGuiQTableWidgetItem.o sipQtGuiQTableWidgetSelectionRange.o sipQtGuiQTableView.o sipQtGuiQTabBar.o sipQtGuiQSyntaxHighlighter.o sipQtGuiQStylePainter.o sipQtGuiQStyleOptionTabV3.o sipQtGuiQStyleOptionTabBarBaseV2.o sipQtGuiQStyleOptionFrameV3.o sipQtGuiQStyleOptionViewItemV4.o sipQtGuiQStyleHintReturnVariant.o sipQtGuiQStyleOptionToolBoxV2.o sipQtGuiQStyleOptionViewItemV3.o sipQtGuiQStyleOptionDockWidgetV2.o sipQtGuiQStyleOptionGraphicsItem.o sipQtGuiQStyleOptionViewItemV2ViewItemFeatures.o sipQtGuiQStyleOptionViewItemV2.o sipQtGuiQStyleOptionGroupBox.o sipQtGuiQStyleOptionToolBarToolBarFeatures.o sipQtGuiQStyleOptionToolBar.o sipQtGuiQStyleHintReturnMask.o sipQtGuiQStyleHintReturn.o sipQtGuiQStyleOptionTitleBar.o sipQtGuiQStyleOptionComboBox.o sipQtGuiQStyleOptionToolButtonToolButtonFeatures.o sipQtGuiQStyleOptionToolButton.o sipQtGuiQStyleOptionSpinBox.o sipQtGuiQStyleOptionSlider.o sipQtGuiQStyleOptionComplex.o sipQtGuiQStyleOptionRubberBand.o sipQtGuiQStyleOptionToolBox.o sipQtGuiQStyleOptionViewItem.o sipQtGuiQStyleOptionDockWidget.o sipQtGuiQStyleOptionMenuItem.o sipQtGuiQStyleOptionProgressBarV2.o sipQtGuiQStyleOptionProgressBar.o sipQtGuiQStyleOptionTabV2.o sipQtGuiQStyleOptionTabCornerWidgets.o sipQtGuiQStyleOptionTab.o sipQtGuiQStyleOptionButtonButtonFeatures.o sipQtGuiQStyleOptionButton.o sipQtGuiQStyleOptionHeader.o sipQtGuiQStyleOptionTabBarBase.o sipQtGuiQStyleOptionTabWidgetFrame.o sipQtGuiQStyleOptionFrameV2FrameFeatures.o sipQtGuiQStyleOptionFrameV2.o sipQtGuiQStyleOptionFrame.o sipQtGuiQStyleOptionFocusRect.o sipQtGuiQStyleOption.o sipQtGuiQStyleFactory.o sipQtGuiQStyledItemDelegate.o sipQtGuiQStyleSubControls.o sipQtGuiQStyleState.o sipQtGuiQStyle.o sipQtGuiQStringListModel.o sipQtGuiQStatusBar.o sipQtGuiQStandardItem.o sipQtGuiQStandardItemModel.o sipQtGuiQStackedWidget.o sipQtGuiQStackedLayout.o sipQtGuiQSplitterHandle.o sipQtGuiQSplitter.o sipQtGuiQSplashScreen.o sipQtGuiQDoubleSpinBox.o sipQtGuiQSpinBox.o sipQtGuiQSound.o sipQtGuiQSortFilterProxyModel.o sipQtGuiQSlider.o sipQtGuiQSizePolicyControlTypes.o sipQtGuiQSizePolicy.o sipQtGuiQShortcut.o sipQtGuiQSessionManager.o sipQtGuiQScrollBar.o sipQtGuiQScrollArea.o sipQtGuiQRubberBand.o sipQtGuiQRegion.o sipQtGuiQRadioButton.o sipQtGuiQProxyModel.o sipQtGuiQProgressDialog.o sipQtGuiQProgressBar.o sipQtGuiQPolygonF.o sipQtGuiQPolygon.o sipQtGuiQPlainTextDocumentLayout.o sipQtGuiQPlainTextEdit.o sipQtGuiQPixmapCache.o sipQtGuiQPictureIO.o sipQtGuiQPicture.o sipQtGuiQPen.o sipQtGuiQPalette.o sipQtGuiQPainterPathStroker.o sipQtGuiQPainterPathElement.o sipQtGuiQPainterPath.o sipQtGuiQPaintEngineState.o sipQtGuiQPaintEngineDirtyFlags.o sipQtGuiQPaintEnginePaintEngineFeatures.o sipQtGuiQPaintEngine.o sipQtGuiQTextItemRenderFlags.o sipQtGuiQTextItem.o sipQtGuiQPainterRenderHints.o sipQtGuiQPainter.o sipQtGuiQMovie.o sipQtGuiQMessageBoxStandardButtons.o sipQtGuiQMessageBox.o sipQtGuiQMenuBar.o sipQtGuiQMenu.o sipQtGuiQMdiSubWindowSubWindowOptions.o sipQtGuiQMdiSubWindow.o sipQtGuiQMdiAreaAreaOptions.o sipQtGuiQMdiArea.o sipQtGuiQMatrix.o sipQtGuiQMainWindowDockOptions.o sipQtGuiQMainWindow.o sipQtGuiQListWidget.o sipQtGuiQListWidgetItem.o sipQtGuiQListView.o sipQtGuiQLineEdit.o sipQtGuiQLCDNumber.o sipQtGuiQWidgetItem.o sipQtGuiQSpacerItem.o sipQtGuiQLayoutItem.o sipQtGuiQLabel.o sipQtGuiQKeySequence.o sipQtGuiQItemSelection.o sipQtGuiQItemSelectionModelSelectionFlags.o sipQtGuiQItemSelectionModel.o sipQtGuiQItemSelectionRange.o sipQtGuiQItemEditorFactory.o sipQtGuiQItemEditorCreatorBase.o sipQtGuiQItemDelegate.o sipQtGuiQInputDialogInputDialogOptions.o sipQtGuiQInputDialog.o sipQtGuiQInputContextFactory.o sipQtGuiQInputContext.o sipQtGuiQImageWriter.o sipQtGuiQImageReader.o sipQtGuiQImageIOHandler.o sipQtGuiQImage.o sipQtGuiQPaintDevice.o sipQtGuiQIconEngineV2AvailableSizesArgument.o sipQtGuiQIconEngineV2.o sipQtGuiQIconEngine.o sipQtGuiQIcon.o sipQtGuiQHeaderView.o sipQtGuiQGroupBox.o sipQtGuiQGridLayout.o sipQtGuiQGraphicsViewOptimizationFlags.o sipQtGuiQGraphicsViewCacheMode.o sipQtGuiQGraphicsView.o sipQtGuiQGraphicsSceneMoveEvent.o sipQtGuiQGraphicsSceneResizeEvent.o sipQtGuiQGraphicsSceneDragDropEvent.o sipQtGuiQGraphicsSceneHelpEvent.o sipQtGuiQGraphicsSceneHoverEvent.o sipQtGuiQGraphicsSceneContextMenuEvent.o sipQtGuiQGraphicsSceneWheelEvent.o sipQtGuiQGraphicsSceneMouseEvent.o sipQtGuiQGraphicsSceneEvent.o sipQtGuiQGraphicsSceneSceneLayers.o sipQtGuiQGraphicsScene.o sipQtGuiQGraphicsProxyWidget.o sipQtGuiQGraphicsWidget.o sipQtGuiQGraphicsLinearLayout.o sipQtGuiQGraphicsLayoutItem.o sipQtGuiQGraphicsItemAnimation.o sipQtGuiQGraphicsItemGroup.o sipQtGuiQGraphicsSimpleTextItem.o sipQtGuiQGraphicsTextItem.o sipQtGuiQGraphicsPixmapItem.o sipQtGuiQGraphicsLineItem.o sipQtGuiQGraphicsPolygonItem.o sipQtGuiQGraphicsEllipseItem.o sipQtGuiQGraphicsRectItem.o sipQtGuiQGraphicsPathItem.o sipQtGuiQAbstractGraphicsShapeItem.o sipQtGuiQGraphicsItemGraphicsItemFlags.o sipQtGuiQGraphicsItem.o sipQtGuiQGraphicsGridLayout.o sipQtGuiQGraphicsLayout.o sipQtGuiQFormLayout.o sipQtGuiQFontMetricsF.o sipQtGuiQFontMetrics.o sipQtGuiQFontInfo.o sipQtGuiQFontDialogFontDialogOptions.o sipQtGuiQFontDialog.o sipQtGuiQList0100QFontDatabaseWritingSystem.o sipQtGuiQFontDatabase.o sipQtGuiQFontComboBoxFontFilters.o sipQtGuiQFontComboBox.o sipQtGuiQFont.o sipQtGuiQFocusFrame.o sipQtGuiQFileSystemModel.o sipQtGuiQFileIconProvider.o sipQtGuiQFileDialogOptions.o sipQtGuiQFileDialog.o sipQtGuiQWindowStateChangeEvent.o sipQtGuiQShortcutEvent.o sipQtGuiQFileOpenEvent.o sipQtGuiQActionEvent.o sipQtGuiQWhatsThisClickedEvent.o sipQtGuiQStatusTipEvent.o sipQtGuiQHelpEvent.o sipQtGuiQDragLeaveEvent.o sipQtGuiQDragEnterEvent.o sipQtGuiQDragMoveEvent.o sipQtGuiQDropEvent.o sipQtGuiQMimeSource.o sipQtGuiQInputMethodEventAttribute.o sipQtGuiQInputMethodEvent.o sipQtGuiQContextMenuEvent.o sipQtGuiQHideEvent.o sipQtGuiQShowEvent.o sipQtGuiQIconDragEvent.o sipQtGuiQCloseEvent.o sipQtGuiQResizeEvent.o sipQtGuiQMoveEvent.o sipQtGuiQPaintEvent.o sipQtGuiQFocusEvent.o sipQtGuiQKeyEvent.o sipQtGuiQTabletEvent.o sipQtGuiQWheelEvent.o sipQtGuiQHoverEvent.o sipQtGuiQMouseEvent.o sipQtGuiQInputEvent.o sipQtGuiQErrorMessage.o sipQtGuiQDrag.o sipQtGuiQDockWidgetDockWidgetFeatures.o sipQtGuiQDockWidget.o sipQtGuiQDirModel.o sipQtGuiQDialogButtonBoxStandardButtons.o sipQtGuiQDialogButtonBox.o sipQtGuiQDial.o sipQtGuiQDesktopWidget.o sipQtGuiQDesktopServices.o sipQtGuiQDateEdit.o sipQtGuiQTimeEdit.o sipQtGuiQDateTimeEditSections.o sipQtGuiQDateTimeEdit.o sipQtGuiQDataWidgetMapper.o sipQtGuiQCursor.o sipQtGuiQCompleter.o sipQtGuiQComboBox.o sipQtGuiQColorDialogColorDialogOptions.o sipQtGuiQColorDialog.o sipQtGuiQDialog.o sipQtGuiQColumnView.o sipQtGuiQClipboard.o sipQtGuiQCheckBox.o sipQtGuiQCalendarWidget.o sipQtGuiQButtonGroup.o sipQtGuiQConicalGradient.o sipQtGuiQRadialGradient.o sipQtGuiQLinearGradient.o sipQtGuiQGradient.o sipQtGuiQBrush.o sipQtGuiQCommandLinkButton.o sipQtGuiQPushButton.o sipQtGuiQColor.o sipQtGuiQVBoxLayout.o sipQtGuiQHBoxLayout.o sipQtGuiQBoxLayout.o sipQtGuiQLayout.o sipQtGuiQBitmap.o sipQtGuiQPixmap.o sipQtGuiQApplication.o sipQtGuiXEvent.o sipQtGuiQActionGroup.o sipQtGuiQAction.o sipQtGuiQAbstractSlider.o sipQtGuiQTextObjectInterface.o sipQtGuiQAbstractTextDocumentLayoutPaintContext.o sipQtGuiQAbstractTextDocumentLayoutSelection.o sipQtGuiQAbstractTextDocumentLayout.o sipQtGuiQAbstractSpinBoxStepEnabled.o sipQtGuiQAbstractSpinBox.o sipQtGuiQFrame.o sipQtGuiQAbstractProxyModel.o sipQtGuiQAbstractItemViewEditTriggers.o sipQtGuiQAbstractItemView.o sipQtGuiQAbstractScrollArea.o sipQtGuiQAbstractItemDelegate.o sipQtGuiQAbstractButton.o sipQtGuiQWidget.o
HFILES = sipAPIQtGui.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -I. -I/home/maemo/python-qt4-4.6.2/qpy/QtGui -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/home/maemo/python-qt4-4.6.2/qpy/QtGui -Wl,-rpath,/usr/lib -Wl,--version-script=QtGui.exp
LIBS = -L/home/maemo/python-qt4-4.6.2/qpy/QtGui -L/usr/lib -lqpygui -Wl,-rpath-link=/usr/lib -lQtGui -lQtCore -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtGui; local: *; };' > QtGui.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)

=== QtNetwork/Makefile ===
TARGET = QtNetwork.so
OFILES = sipQtNetworkcmodule.o sipQtNetworkQList0100QSslCipher.o sipQtNetworkQList0100QSslCertificate.o sipQtNetworkQList0100QNetworkProxy.o sipQtNetworkQList0100QNetworkInterface.o sipQtNetworkQList0100QNetworkAddressEntry.o sipQtNetworkQList0100QNetworkCookie.o sipQtNetworkQList0100QSslError.o sipQtNetworkQList0100QHostAddress.o sipQtNetworkQPair0100QHostAddress1800.o sipQtNetworkQUrlInfo.o sipQtNetworkQUdpSocketBindMode.o sipQtNetworkQUdpSocket.o sipQtNetworkQTcpServer.o sipQtNetworkQSslSocket.o sipQtNetworkQTcpSocket.o sipQtNetworkQSslKey.o sipQtNetworkQSslError.o sipQtNetworkQSslCipher.o sipQtNetworkQSslConfiguration.o sipQtNetworkQMultiMap0100QSslAlternateNameEntryType0100QString.o sipQtNetworkQSslCertificate.o sipQtNetworkQSsl.o sipQtNetworkQNetworkRequest.o sipQtNetworkQNetworkReply.o sipQtNetworkQNetworkProxyFactory.o sipQtNetworkQNetworkProxyQuery.o sipQtNetworkQNetworkProxyCapabilities.o sipQtNetworkQNetworkProxy.o sipQtNetworkQNetworkInterfaceInterfaceFlags.o sipQtNetworkQNetworkInterface.o sipQtNetworkQNetworkAddressEntry.o sipQtNetworkQNetworkDiskCache.o sipQtNetworkQNetworkCookieJar.o sipQtNetworkQNetworkCookie.o sipQtNetworkQNetworkAccessManager.o sipQtNetworkQLocalSocket.o sipQtNetworkquintptr.o sipQtNetworkQLocalServer.o sipQtNetworkQHttp.o sipQtNetworkQHttpRequestHeader.o sipQtNetworkQHttpResponseHeader.o sipQtNetworkQHttpHeader.o sipQtNetworkQHostInfo.o sipQtNetworkQHostAddress.o sipQtNetworkQFtp.o sipQtNetworkQAuthenticator.o sipQtNetworkQAbstractSocket.o sipQtNetworkQAbstractNetworkCache.o sipQtNetworkQNetworkCacheMetaData.o sipQtNetworkQHash0100QNetworkRequestAttribute0100QVariant.o
HFILES = sipAPIQtNetwork.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtNetwork.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtNetwork -lQtCore -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtNetwork; local: *; };' > QtNetwork.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/QtNetworkmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/QtNetworkmod.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkaccessmanager.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkaccessmanager.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qtcpsocket.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qtcpsocket.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qsslerror.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qsslerror.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qabstractnetworkcache.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qabstractnetworkcache.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qlocalsocket.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qlocalsocket.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qsslsocket.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qsslsocket.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qudpsocket.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qudpsocket.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qhttp.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qhttp.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qhostinfo.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qhostinfo.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qftp.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qftp.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qsslcipher.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qsslcipher.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qabstractsocket.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qabstractsocket.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkproxy.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkproxy.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkrequest.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkrequest.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qsslconfiguration.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qsslconfiguration.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkcookiejar.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkcookiejar.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkcookie.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkcookie.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qsslcertificate.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qsslcertificate.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qsslkey.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qsslkey.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qauthenticator.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qauthenticator.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qssl.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qssl.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkreply.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkreply.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkinterface.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkinterface.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qhostaddress.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qhostaddress.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qnetworkdiskcache.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qnetworkdiskcache.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qtcpserver.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qtcpserver.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qlocalserver.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qlocalserver.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtNetwork/qurlinfo.sip $(DESTDIR)/usr/share/sip/PyQt4/QtNetwork/qurlinfo.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtNetworkcmodule.o
	-rm -f sipQtNetworkQList0100QSslCipher.o
	-rm -f sipQtNetworkQList0100QSslCertificate.o
	-rm -f sipQtNetworkQList0100QNetworkProxy.o
	-rm -f sipQtNetworkQList0100QNetworkInterface.o
	-rm -f sipQtNetworkQList0100QNetworkAddressEntry.o
	-rm -f sipQtNetworkQList0100QNetworkCookie.o
	-rm -f sipQtNetworkQList0100QSslError.o
	-rm -f sipQtNetworkQList0100QHostAddress.o
	-rm -f sipQtNetworkQPair0100QHostAddress1800.o
	-rm -f sipQtNetworkQUrlInfo.o
	-rm -f sipQtNetworkQUdpSocketBindMode.o
	-rm -f sipQtNetworkQUdpSocket.o
	-rm -f sipQtNetworkQTcpServer.o
	-rm -f sipQtNetworkQSslSocket.o
	-rm -f sipQtNetworkQTcpSocket.o
	-rm -f sipQtNetworkQSslKey.o
	-rm -f sipQtNetworkQSslError.o
	-rm -f sipQtNetworkQSslCipher.o
	-rm -f sipQtNetworkQSslConfiguration.o
	-rm -f sipQtNetworkQMultiMap0100QSslAlternateNameEntryType0100QString.o
	-rm -f sipQtNetworkQSslCertificate.o
	-rm -f sipQtNetworkQSsl.o
	-rm -f sipQtNetworkQNetworkRequest.o
	-rm -f sipQtNetworkQNetworkReply.o
	-rm -f sipQtNetworkQNetworkProxyFactory.o
	-rm -f sipQtNetworkQNetworkProxyQuery.o
	-rm -f sipQtNetworkQNetworkProxyCapabilities.o
	-rm -f sipQtNetworkQNetworkProxy.o
	-rm -f sipQtNetworkQNetworkInterfaceInterfaceFlags.o
	-rm -f sipQtNetworkQNetworkInterface.o
	-rm -f sipQtNetworkQNetworkAddressEntry.o
	-rm -f sipQtNetworkQNetworkDiskCache.o
	-rm -f sipQtNetworkQNetworkCookieJar.o
	-rm -f sipQtNetworkQNetworkCookie.o
	-rm -f sipQtNetworkQNetworkAccessManager.o
	-rm -f sipQtNetworkQLocalSocket.o
	-rm -f sipQtNetworkquintptr.o
	-rm -f sipQtNetworkQLocalServer.o
	-rm -f sipQtNetworkQHttp.o
	-rm -f sipQtNetworkQHttpRequestHeader.o
	-rm -f sipQtNetworkQHttpResponseHeader.o
	-rm -f sipQtNetworkQHttpHeader.o
	-rm -f sipQtNetworkQHostInfo.o
	-rm -f sipQtNetworkQHostAddress.o
	-rm -f sipQtNetworkQFtp.o
	-rm -f sipQtNetworkQAuthenticator.o
	-rm -f sipQtNetworkQAbstractSocket.o
	-rm -f sipQtNetworkQAbstractNetworkCache.o
	-rm -f sipQtNetworkQNetworkCacheMetaData.o
	-rm -f sipQtNetworkQHash0100QNetworkRequestAttribute0100QVariant.o
	-rm -f QtNetwork.exp

=== QtScript/Makefile ===
TARGET = QtScript.so
OFILES = sipQtScriptcmodule.o sipQtScriptQList0100QScriptValue.o sipQtScriptQList0100QScriptContextInfo.o sipQtScriptQScriptValueIterator.o sipQtScriptQScriptValuePropertyFlags.o sipQtScriptQScriptValueResolveFlags.o sipQtScriptQScriptValue.o sipQtScriptQScriptString.o sipQtScriptQScriptEngineAgent.o sipQtScriptQScriptSyntaxCheckResult.o sipQtScriptQScriptEngineQObjectWrapOptions.o sipQtScriptQScriptEngine.o sipQtScriptQScriptContextInfo.o sipQtScriptQScriptContext.o sipQtScriptQScriptClassPropertyIterator.o sipQtScriptQScriptClassQueryFlags.o sipQtScriptQScriptClass.o
HFILES = sipAPIQtScript.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_SCRIPT_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtScript -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtScript.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtScript -lQtCore -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtScript; local: *; };' > QtScript.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtScript || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtScript
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptclasspropertyiterator.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptclasspropertyiterator.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptcontextinfo.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptcontextinfo.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptstring.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptstring.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/QtScriptmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/QtScriptmod.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptengine.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptengine.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptvalueiterator.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptvalueiterator.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptcontext.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptcontext.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptvalue.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptvalue.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptengineagent.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptengineagent.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtScript/qscriptclass.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScript/qscriptclass.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtScriptcmodule.o
	-rm -f sipQtScriptQList0100QScriptValue.o
	-rm -f sipQtScriptQList0100QScriptContextInfo.o
	-rm -f sipQtScriptQScriptValueIterator.o
	-rm -f sipQtScriptQScriptValuePropertyFlags.o
	-rm -f sipQtScriptQScriptValueResolveFlags.o
	-rm -f sipQtScriptQScriptValue.o
	-rm -f sipQtScriptQScriptString.o
	-rm -f sipQtScriptQScriptEngineAgent.o
	-rm -f sipQtScriptQScriptSyntaxCheckResult.o
	-rm -f sipQtScriptQScriptEngineQObjectWrapOptions.o
	-rm -f sipQtScriptQScriptEngine.o
	-rm -f sipQtScriptQScriptContextInfo.o
	-rm -f sipQtScriptQScriptContext.o
	-rm -f sipQtScriptQScriptClassPropertyIterator.o
	-rm -f sipQtScriptQScriptClassQueryFlags.o
	-rm -f sipQtScriptQScriptClass.o
	-rm -f QtScript.exp

=== QtTest/Makefile ===
TARGET = QtTest.so
OFILES = sipQtTestcmodule.o sipQtTestQTest.o
HFILES = sipAPIQtTest.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_TEST_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtTest -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtTest.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtTest -lQtGui -lQtCore -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtTest; local: *; };' > QtTest.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtTest || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtTest
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtTest/qtestsystem.sip $(DESTDIR)/usr/share/sip/PyQt4/QtTest/qtestsystem.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtTest/QtTestmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtTest/QtTestmod.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtTest/qtestmouse.sip $(DESTDIR)/usr/share/sip/PyQt4/QtTest/qtestmouse.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtTest/qtestcase.sip $(DESTDIR)/usr/share/sip/PyQt4/QtTest/qtestcase.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtTest/qtesttouch.sip $(DESTDIR)/usr/share/sip/PyQt4/QtTest/qtesttouch.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtTest/qtestkeyboard.sip $(DESTDIR)/usr/share/sip/PyQt4/QtTest/qtestkeyboard.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtTestcmodule.o
	-rm -f sipQtTestQTest.o
	-rm -f QtTest.exp

=== QtWebKit/Makefile ===
TARGET = QtWebKit.so
OFILES = sipQtWebKitcmodule.o sipQtWebKitQList0100QWebDatabase.o sipQtWebKitQList0100QWebSecurityOrigin.o sipQtWebKitQList0100QWebPluginFactoryPlugin.o sipQtWebKitQList0100QWebHistoryItem.o sipQtWebKitQMultiMap0100QString0100QString.o sipQtWebKitQList0101QWebFrame.o sipQtWebKitQList0100QWebPluginFactoryMimeType.o sipQtWebKitQWebView.o sipQtWebKitQWebSettings.o sipQtWebKitQWebSecurityOrigin.o sipQtWebKitQWebPluginFactoryExtensionReturn.o sipQtWebKitQWebPluginFactoryExtensionOption.o sipQtWebKitQWebPluginFactoryPlugin.o sipQtWebKitQWebPluginFactoryMimeType.o sipQtWebKitQWebPluginFactory.o sipQtWebKitQWebPageChooseMultipleFilesExtensionReturn.o sipQtWebKitQWebPageChooseMultipleFilesExtensionOption.o sipQtWebKitQWebPageExtensionReturn.o sipQtWebKitQWebPageExtensionOption.o sipQtWebKitQWebPageFindFlags.o sipQtWebKitQWebPage.o sipQtWebKitQWebHistoryInterface.o sipQtWebKitQWebHistory.o sipQtWebKitQWebHistoryItem.o sipQtWebKitQWebFrame.o sipQtWebKitQWebHitTestResult.o sipQtWebKitQWebDatabase.o
HFILES = sipAPIQtWebKit.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_WEBKIT_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtWebKit -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=QtWebKit.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtWebKit -lQtGui -lQtNetwork -lQtCore -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtWebKit; local: *; };' > QtWebKit.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtWebKit/qwebelement.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebelement.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtWebKit/qwebdatabase.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebdatabase.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtWebKit/qwebsecurityorigin.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebsecurityorigin.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtWebKit/qgraphicswebview.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qgraphicswebview.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtWebKit/QtWebKitmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/QtWebKitmod.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtWebKit/qwebpluginfactory.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebpluginfactory.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtWebKit/qwebpage.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebpage.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtWebKit/qwebframe.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebframe.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtWebKit/qwebview.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebview.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtWebKit/qwebsettings.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebsettings.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtWebKit/qwebhistoryinterface.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebhistoryinterface.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtWebKit/qwebinspector.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebinspector.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtWebKit/qwebhistory.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebhistory.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/QtWebKit/qwebkitversion.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebkitversion.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtWebKitcmodule.o
	-rm -f sipQtWebKitQList0100QWebDatabase.o
	-rm -f sipQtWebKitQList0100QWebSecurityOrigin.o
	-rm -f sipQtWebKitQList0100QWebPluginFactoryPlugin.o
	-rm -f sipQtWebKitQList0100QWebHistoryItem.o
	-rm -f sipQtWebKitQMultiMap0100QString0100QString.o
	-rm -f sipQtWebKitQList0101QWebFrame.o
	-rm -f sipQtWebKitQList0100QWebPluginFactoryMimeType.o
	-rm -f sipQtWebKitQWebView.o
	-rm -f sipQtWebKitQWebSettings.o
	-rm -f sipQtWebKitQWebSecurityOrigin.o
	-rm -f sipQtWebKitQWebPluginFactoryExtensionReturn.o
	-rm -f sipQtWebKitQWebPluginFactoryExtensionOption.o
	-rm -f sipQtWebKitQWebPluginFactoryPlugin.o
	-rm -f sipQtWebKitQWebPluginFactoryMimeType.o
	-rm -f sipQtWebKitQWebPluginFactory.o
	-rm -f sipQtWebKitQWebPageChooseMultipleFilesExtensionReturn.o
	-rm -f sipQtWebKitQWebPageChooseMultipleFilesExtensionOption.o
	-rm -f sipQtWebKitQWebPageExtensionReturn.o
	-rm -f sipQtWebKitQWebPageExtensionOption.o
	-rm -f sipQtWebKitQWebPageFindFlags.o
	-rm -f sipQtWebKitQWebPage.o
	-rm -f sipQtWebKitQWebHistoryInterface.o
	-rm -f sipQtWebKitQWebHistory.o
	-rm -f sipQtWebKitQWebHistoryItem.o
	-rm -f sipQtWebKitQWebFrame.o
	-rm -f sipQtWebKitQWebHitTestResult.o
	-rm -f sipQtWebKitQWebDatabase.o
	-rm -f QtWebKit.exp

=== dbus/Makefile ===
TARGET = qt.so
OFILES = dbus.o moc_helper.o
HFILES =  helper.h

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DQT_NO_DEBUG -DQT_CORE_LIB -I. -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=qt.exp
LIBS = -L/usr/lib -ldbus-1 -lpthread -Wl,-rpath-link=/usr/lib -lQtCore -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

moc_helper.cpp: helper.h
	$(MOC) -o moc_helper.cpp helper.h

$(TARGET): $(OFILES)
	@echo '{ global: initqt; local: *; };' > qt.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/pymodules/python2.5/dbus/mainloop || mkdir -p $(DESTDIR)/usr/lib/pymodules/python2.5/dbus/mainloop
	cp -f $(TARGET) $(DESTDIR)/usr/lib/pymodules/python2.5/dbus/mainloop/$(TARGET)
	strip $(DESTDIR)/usr/lib/pymodules/python2.5/dbus/mainloop/$(TARGET)

clean:
	-rm -f $(TARGET)
	-rm -f dbus.o
	-rm -f moc_helper.o
	-rm -f moc_helper.cpp
	-rm -f qt.exp

=== designer/Makefile ===
#############################################################################
# Makefile for building: libpythonplugin.so
# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Dec 20 01:15:35 2009
# Project:  python.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile python.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DPYTHON_LIB=\"libpython2.5.so\" -DQT_NO_DEBUG -DQT_PLUGIN -DQT_SCRIPT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQDESIGNER_EXPORT_WIDGETS -DQT_SHARED
CFLAGS        = -pipe -O2 -O3 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -O2 -O3 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtDesigner -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4/QtXml -I/targets/FREMANTLE_X86/usr/include/qt4/QtScript -I/targets/FREMANTLE_X86/usr/include/qt4 -I/targets/FREMANTLE_X86/usr/include/python2.5 -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -L/usr/lib -lpython2.5 -lQtScript -lQtXml -lQtGui -lQtCore -lQtDesigner -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = pluginloader.cpp moc_pluginloader.cpp
OBJECTS       = pluginloader.o \
		moc_pluginloader.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/designer.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		python.pro
QMAKE_TARGET  = pythonplugin
DESTDIR       = 
TARGET        = libpythonplugin.so
TARGETD       = libpythonplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: python.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/designer.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtDesigner.prl
	$(QMAKE) -unix -o Makefile python.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/designer.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtScript.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtDesigner.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile python.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/pythonplugin1.0.0 || $(MKDIR) .tmp/pythonplugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/pythonplugin1.0.0/ && $(COPY_FILE) --parents pluginloader.h .tmp/pythonplugin1.0.0/ && $(COPY_FILE) --parents pluginloader.cpp .tmp/pythonplugin1.0.0/ && (cd `dirname .tmp/pythonplugin1.0.0` && $(TAR) pythonplugin1.0.0.tar pythonplugin1.0.0 && $(COMPRESS) pythonplugin1.0.0.tar) && $(MOVE) `dirname .tmp/pythonplugin1.0.0`/pythonplugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/pythonplugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_pluginloader.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_pluginloader.cpp
moc_pluginloader.cpp: pluginloader.h
	/usr/bin/moc $(DEFINES) $(INCPATH) pluginloader.h -o moc_pluginloader.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

pluginloader.o: pluginloader.cpp pluginloader.h \
		../qpy/QtDesigner/qpydesignercustomwidgetplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o pluginloader.o pluginloader.cpp

moc_pluginloader.o: moc_pluginloader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_pluginloader.o moc_pluginloader.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/$(TARGET)"
	-strip --strip-unneeded "$(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ 


install_python: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ 
	-$(INSTALL_DIR) /home/maemo/python-qt4-4.6.2/designer/python $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/


uninstall_python:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/python
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/qt4/plugins/designer/ 


install:  install_target install_python  FORCE

uninstall: uninstall_target uninstall_python   FORCE

FORCE:

=== phonon/Makefile ===
TARGET = phonon.so
OFILES = sipphononcmodule.o sipphononQList0101PhononEffect.o sipphononQHash0100QByteArray0100QVariant.o sipphononQList0100PhononMediaSource.o sipphononQMultiMap0100QString0100QString.o sipphononQList0100PhononSubtitleDescription.o sipphononQList0100PhononAudioChannelDescription.o sipphononQList0100PhononEffectParameter.o sipphononQList0100PhononAudioCaptureDevice.o sipphononQList0100PhononEffectDescription.o sipphononQList0100PhononAudioOutputDevice.o sipphononQList0100PhononPath.o sipphononPhononVolumeSlider.o sipphononPhononVideoWidget.o sipphononPhononVideoPlayer.o sipphononPhononSeekSlider.o sipphononPhononPath.o sipphononPhononEffectDescriptionModel.o sipphononPhononAudioOutputDeviceModel.o sipphononPhononAudioCaptureDevice.o sipphononPhononAudioChannelDescription.o sipphononPhononSubtitleDescription.o sipphononPhononEffectDescription.o sipphononPhononAudioOutputDevice.o sipphononPhononMediaSource.o sipphononPhononMediaObject.o sipphononPhononMediaControllerFeatures.o sipphononPhononMediaController.o sipphononPhononEffectWidget.o sipphononPhononEffectParameterHints.o sipphononPhononEffectParameter.o sipphononPhononEffect.o sipphononPhononBackendCapabilitiesNotifier.o sipphononPhononBackendCapabilities.o sipphononPhononAudioOutput.o sipphononPhononAbstractVideoOutput.o sipphononPhononAbstractAudioOutput.o sipphononPhononMediaNode.o sipphononPhonon.o
HFILES = sipAPIphonon.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_PHONON_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/qt4/phonon -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I/usr/include/X11
CFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -Wall -W -D_REENTRANT
LFLAGS = -shared -Wl,-O1 -Wl,-rpath,/usr/lib -Wl,--version-script=phonon.exp
LIBS = -L/usr/lib -Wl,-rpath-link=/usr/lib -lphonon -lQtGui -lQtCore -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initphonon; local: *; };' > phonon.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/phonon || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/phonon
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/abstractvideooutput.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/abstractvideooutput.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/effectparameter.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/effectparameter.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/path.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/path.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/mediaobject.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/mediaobject.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/effectwidget.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/effectwidget.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/objectdescription.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/objectdescription.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/medianode.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/medianode.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/abstractaudiooutput.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/abstractaudiooutput.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/phononmod.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/phononmod.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/videowidget.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/videowidget.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/mediacontroller.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/mediacontroller.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/effect.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/effect.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/audiooutput.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/audiooutput.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/volumeslider.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/volumeslider.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/seekslider.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/seekslider.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/phononnamespace.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/phononnamespace.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/videoplayer.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/videoplayer.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/backendcapabilities.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/backendcapabilities.sip
	cp -f /home/maemo/python-qt4-4.6.2/sip/phonon/mediasource.sip $(DESTDIR)/usr/share/sip/PyQt4/phonon/mediasource.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipphononcmodule.o
	-rm -f sipphononQList0101PhononEffect.o
	-rm -f sipphononQHash0100QByteArray0100QVariant.o
	-rm -f sipphononQList0100PhononMediaSource.o
	-rm -f sipphononQMultiMap0100QString0100QString.o
	-rm -f sipphononQList0100PhononSubtitleDescription.o
	-rm -f sipphononQList0100PhononAudioChannelDescription.o
	-rm -f sipphononQList0100PhononEffectParameter.o
	-rm -f sipphononQList0100PhononAudioCaptureDevice.o
	-rm -f sipphononQList0100PhononEffectDescription.o
	-rm -f sipphononQList0100PhononAudioOutputDevice.o
	-rm -f sipphononQList0100PhononPath.o
	-rm -f sipphononPhononVolumeSlider.o
	-rm -f sipphononPhononVideoWidget.o
	-rm -f sipphononPhononVideoPlayer.o
	-rm -f sipphononPhononSeekSlider.o
	-rm -f sipphononPhononPath.o
	-rm -f sipphononPhononEffectDescriptionModel.o
	-rm -f sipphononPhononAudioOutputDeviceModel.o
	-rm -f sipphononPhononAudioCaptureDevice.o
	-rm -f sipphononPhononAudioChannelDescription.o
	-rm -f sipphononPhononSubtitleDescription.o
	-rm -f sipphononPhononEffectDescription.o
	-rm -f sipphononPhononAudioOutputDevice.o
	-rm -f sipphononPhononMediaSource.o
	-rm -f sipphononPhononMediaObject.o
	-rm -f sipphononPhononMediaControllerFeatures.o
	-rm -f sipphononPhononMediaController.o
	-rm -f sipphononPhononEffectWidget.o
	-rm -f sipphononPhononEffectParameterHints.o
	-rm -f sipphononPhononEffectParameter.o
	-rm -f sipphononPhononEffect.o
	-rm -f sipphononPhononBackendCapabilitiesNotifier.o
	-rm -f sipphononPhononBackendCapabilities.o
	-rm -f sipphononPhononAudioOutput.o
	-rm -f sipphononPhononAbstractVideoOutput.o
	-rm -f sipphononPhononAbstractAudioOutput.o
	-rm -f sipphononPhononMediaNode.o
	-rm -f sipphononPhonon.o
	-rm -f phonon.exp

=== debian/changelog ===
python-qt4 (4.6.2-maemo20091218.0) unstable; urgency=low

  * phonon/webkit REALLY fixed
  * examples packages
  * pyqt-gui-example to install gui and core modules via HAM
  * pyqt-all-examples to install all modules via HAM
  * brought up to date with trunk (which is now Qt 4.6 capable)

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 30 Nov 2009 12:10:22 +0100

python-qt4 (4.6.2-maemo20091123.2) unstable; urgency=low

  * Manual phonon dependency to allow phonon/webkit module build

 -- Attila Csipa <maemo@csipa.in.rs>  Wed, 30 Nov 2009 12:10:22 +0100

=== debian/control ===
Source: python-qt4
Priority: extra
Maintainer: Attila Csipa <maemo@csipa.in.rs>
Build-Depends: debhelper (>= 5), dpatch, libqt4-dev (>= 4.5.0), libqt4-phonon (>= 4.5.0), sip4 (>= 4.10),  python2.5-sip4 (>= 4.10),  python2.5-sip4-dev (>= 4.10),  python2.5-dev (>= 2.5.1), python-dbus, libdbus-1-dev (>= 1.0.2), libxext-dev, zlib1g-dev, libexpat1-dev
Standards-Version: 3.7.2
Section: libs

Package: python2.5-qt4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python2.5-qt4-assistant (= ${binary:Version}), python2.5-qt4-core (= ${binary:Version}), python2.5-qt4-dbus (= ${binary:Version}), python2.5-qt4-designer (= ${binary:Version}), python2.5-qt4-gui (= ${binary:Version}), python2.5-qt4-help (= ${binary:Version}), python2.5-qt4-network (= ${binary:Version}), python2.5-qt4-phonon (= ${binary:Version}), python2.5-qt4-sql (= ${binary:Version}), python2.5-qt4-svg (= ${binary:Version}), python2.5-qt4-script (= ${binary:Version}), python2.5-qt4-test (= ${binary:Version}), python2.5-qt4-webkit (= ${binary:Version})
Replaces: python-qt4
Description: Python bindings for Qt4
 This package contains the python extensions and modules.

Package: python2.5-qt4-common
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python2.5-sip4 (>= 4.10)
Replaces: python-qt4
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4
 and python-qt4-dev.

Package: python2.5-qt4-dev
Section: libdevel
Architecture: any
Depends: python2.5-sip4-dev (>= 4.10), python2.5-qt4-common
Replaces: python-qt4-dev
Description: Development files for PyQt4
 This package contains the source SIP files from which the Python.
 bindings for Qt4 are created. They are needed for building PyQt4
 as well as creating bindings for own Qt4 widgets written in C++.

Package: python2.5-qt4-dev-tools
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python2.5-qt4
Replaces: python-qt4
Description: Python Qt4 development tools.
 This package contains the python extensions and modules.

Package: python2.5-qt4-assistant
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-assistant | libqt4-assistant (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-core
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-core | libqt4-core (>= 4.5.0), python2.5-qt4-common (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-dbus
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5 (>= 2.5.1), python-dbus (>= 0.80.0)
Description: Python bindings for Qt dbus mainloop.
 This package contains the python extensions and modules.

Package: python2.5-qt4-designer
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-designer | libqt4-designer (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-gui
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-gui | libqt4-gui (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-help
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-help | libqt4-help (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-network
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-network | libqt4-network (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-phonon
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-phonon | libqt4-phonon (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-sql
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-sql | libqt4-sql (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Replaces: python-qt4
Description: Python bindings for PyQt4's SQL module
 The SQL module of PyQt4 provides widgets and utility classes for
 SQL database access.

Package: python2.5-qt4-svg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-svg | libqt4-svg (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-script
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-script | libqt4-script (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-test
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-test | libqt4-test (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-webkit
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-webkit | libqt4-webkit (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.

Package: python2.5-qt4-xml
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libqt4-maemo5-xml | libqt4-xml (>= 4.5.0), python2.5-qt4-core (= ${binary:Version})
Description: Python bindings for Qt4 Core components.
 This package contains the python extensions and modules.
